Class Fox::FXToolbar

In: | FXToolbar.rb
Parent: | FXPacker

Toolbar control.

### Message identifiers

`ID_UNDOCK`: | Undock the toolbar
`ID_DOCK_TOP`: | Dock on the top
`ID_DOCK_BOTTOM`: | Dock on the bottom
`ID_DOCK_LEFT`: | Dock on the left
`ID_DOCK_RIGHT`: | Dock on the right
`ID_TOOLBARGRIP`: | Notifications from toolbar grip

Methods

dock docked? new new setDryDock setWetDock undock

Attributes

dockingSide | [RW] | Docking side, one of `LAYOUT_SIDE_LEFT`, `LAYOUT_SIDE_RIGHT`, `LAYOUT_SIDE_TOP` or `LAYOUT_SIDE_BOTTOM` [Integer]
dryDock | [R] | Parent window when the toolbar is docked [FXComposite]
wetDock | [R] | Parent window when the toolbar is undocked (or "floating") [FXComposite]

Public Class methods

new(p, q, opts=LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X, x=0, y=0, width=0, height=0, padLeft=3, padRight=3, padTop=2, padBottom=2, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theToolbar| ...}

Construct a floatable toolbar. Normally, the toolbar is docked under window p. When floated, the toolbar can be docked under window q, which is typically an FXToolbarShell window.

new(parentComposite, opts=LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X, x=0, y=0, width=0, height=0, padLeft=3, padRight=3, padTop=2, padBottom=2, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theToolbar| ...}

Construct a non-floatable toolbar. The toolbar can not be undocked.

Public Instance methods

dock(side=LAYOUT_SIDE_TOP, after=-1)

Dock the bar against the given side, after some other widget. However, if after is -1, it will be docked as the innermost toolbar just before the work-area, while if after is 0, if will be docked as the outermost toolbar.

undock()

Undock or "float" the toolbar. The initial position of the wet dock is a few pixels below and to the right of the original docked position.

setDryDock(dryDock)

Set parent when docked. If it was docked, reparent under the new docking window.

setWetDock(wetDock)

Set parent when floating. If it was undocked, then reparent under the new floating window.

docked?()

Return `true` if toolbar is docked